public class LinkedIn2ProfileDefinition extends OAuth20ProfileDefinition<LinkedIn2Profile,LinkedIn2Configuration>
| Modifier and Type | Field and Description |
|---|---|
static String |
LOCALIZED_FIRST_NAME |
static String |
LOCALIZED_LAST_NAME |
static String |
PROFILE_EMAILS |
static String |
PROFILE_PICTURE |
DISPLAY_NAME, EMAIL, FAMILY_NAME, FIRST_NAME, GENDER, LOCALE, LOCATION, PICTURE_URL, PROFILE_URLlogger, newProfile| Constructor and Description |
|---|
LinkedIn2ProfileDefinition() |
| Modifier and Type | Method and Description |
|---|---|
LinkedIn2Profile |
extractUserProfile(String body)
Extract the user profile from the response (JSON, XML...) of the profile url.
|
String |
getProfileUrl(com.github.scribejava.core.model.OAuth2AccessToken accessToken,
LinkedIn2Configuration configuration)
Retrieve the url of the profile of the authenticated user for the provider.
|
getProfileVerb, raiseProfileExtractionError, raiseProfileExtractionJsonError, raiseProfileExtractionJsonErrorconfigurePrimaryAttributesconvertAndAdd, convertAndAdd, getConverters, getPrimaryAttributes, getProfileId, getSecondaryAttributes, newProfile, primary, secondary, setProfileFactory, setProfileIdpublic static final String LOCALIZED_FIRST_NAME
public static final String LOCALIZED_LAST_NAME
public static final String PROFILE_PICTURE
public static final String PROFILE_EMAILS
public String getProfileUrl(com.github.scribejava.core.model.OAuth2AccessToken accessToken, LinkedIn2Configuration configuration)
OAuthProfileDefinitiongetProfileUrl in class OAuthProfileDefinition<LinkedIn2Profile,com.github.scribejava.core.model.OAuth2AccessToken,LinkedIn2Configuration>accessToken - only used when constructing dynamic urls from data in the tokenconfiguration - the current configurationpublic LinkedIn2Profile extractUserProfile(String body)
OAuthProfileDefinitionextractUserProfile in class OAuthProfileDefinition<LinkedIn2Profile,com.github.scribejava.core.model.OAuth2AccessToken,LinkedIn2Configuration>body - the response bodyCopyright © 2019. All rights reserved.